> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document changelog



## OpenAPI

````yaml get /v1/documents/{id}/changelog
openapi: 3.0.0
info:
  title: Document APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/document
  - url: https://staging.api.eu.aptlydone.com/document
  - url: https://api.us.aptlydone.com/document
  - url: https://api.eu.aptlydone.com/document
security: []
tags: []
paths:
  /v1/documents/{id}/changelog:
    get:
      tags:
        - documents
      summary: Get document changelog
      operationId: DocumentController_getDocumentChangelog_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number
          schema:
            type: number
            example: 1
            minimum: 1
        - name: limit
          required: false
          in: query
          description: Number of items per page
          schema:
            minimum: 1
            maximum: 100
            example: 10
            type: number
        - name: sortBy
          required: false
          in: query
          description: Criteria for sorting Document Changelog
          schema:
            example: documentName
            type: string
            enum:
              - revisionId
              - revisionDate
        - name: sortOrder
          required: false
          in: query
          description: Order for sorting Document Changelog
          schema:
            example: asc
            type: string
            enum:
              - asc
              - desc
      responses:
        '200':
          description: Document changelog retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedDocumentChangelogItemCommonDtoResponse
      security:
        - accessToken: []
components:
  schemas:
    PaginatedDocumentChangelogItemCommonDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-12T09:12:24.385Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 100
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/DocumentChangelogItemCommonDto'
      required:
        - statusCode
        - timestamp
        - message
    DocumentChangelogItemCommonDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Unique identifier
        tenantId:
          type: string
          description: Tenant ID
          example: 105fa115-52d0-4466-baff-740447a60774
        documentId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Decision ID
        revisionId:
          type: string
          description: Revision ID
          example: '123456'
        revisionDate:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Revision date timestamp
        revisedById:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Revised by user ID
        revisedByName:
          type: string
          example: John Doe
          description: Revised by username
        revisedUserDetail:
          type: object
      required:
        - id
        - tenantId
        - documentId
        - revisionId
        - revisionDate
        - revisedById
        - revisedByName
        - revisedUserDetail
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````